import { Score } from "../../server/db/interfaces";
import { PlayerDto, TileDto } from "./PlayerDto";

export interface GameSummary {
  gameId: string;
  isBlocked: boolean;
  isTied: boolean;
  winner: PlayerDto;
  score: Score[],
  players?: PlayerDto[];
  board: TileDto[]
  boneyard: TileDto[]
}